From 3e9eb48476199ade2f610b3e78ff96aeefe8ce92 Mon Sep 17 00:00:00 2001
From: Jameson Graef Rollins <jameson.rollins@ligo.org>
Date: Mon, 1 Jun 2020 13:41:59 -0700
Subject: [PATCH] support: update awgtpman wrapper script

updates awgtpman command line args, checks SITE/IFO exist, and exports
TARGET env var.
---
 support/bin/rts_awgtpman_exec | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

diff --git a/support/bin/rts_awgtpman_exec b/support/bin/rts_awgtpman_exec
index 441274cab..e5be1e817 100755
--- a/support/bin/rts_awgtpman_exec
+++ b/support/bin/rts_awgtpman_exec
@@ -2,13 +2,16 @@
 . /etc/advligorts/env
 sys="$1"
 if [ -z "$sys" ] ; then
-    echo "usage: $(basename $0) <sys>"
+    echo "usage: $(basename $0) <sys>" >&2
     exit 1
 fi
-# add 
-if [[ $sys == *iop* ]] ; then
-    rate=${AWG_IOP_RATE:=-4}
+if [ -z "$SITE" ] ; then
+    echo "SITE variable not specified." >&2
+    exit 2
 fi
-exec awgtpman \
-    -s $sys \
-    $rate
+if [ -z "$IFO" ] ; then
+    echo "IFO variable not specified." >&2
+    exit 2
+fi
+export TARGET=${TARGET:=/opt/rtcds/${SITE,,*}/${IFO,,*}}
+exec awgtpman -s $sys
-- 
GitLab